html {
    scroll-behavior: smooth;
}

* {
    box-sizing: border-box;
}

body{
    margin: 0;
    padding: 0;
    font-family: 'Courier New', Courier, monospace;
}

body.no-scroll {
    overflow: hidden;
}

/* NAVIGATION */

nav{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    position: relative;
    align-items: center;
    border-bottom: 5px solid #029; 
    padding: 10px;
}

nav img{
    width: 90px;
    height: auto;
    border-radius: 30px;
}

.h1A{
    background-color: #F5DEDD; 
    border-radius: 20px;
    padding: 10px;
    text-align: center;
    color: #029;
    font-family: 'Great Vibes', cursive;
    font-size: 50px;
    font-weight: 400;
    margin: 10px 0;
    
}

#panier-icon {
  position: relative;
  font-size: 40px;
  cursor: pointer;

}

#panier-box {
    display: none;
    position: fixed;
    top: 60px;
    left: 10%;
    background: white;
    padding: 20px;
    width: 300px;
    box-shadow: 0 0 10px rgba(0,0,0,0.3);
    z-index: 10000;
    border-radius: 20px;
    transition: all 0.3s ease;
    margin-top: 30px;
    max-height: 450px;
}

#panier-box h2{
    font-family: 'Nunito', sans-serif;
}

#count {
  position: absolute;
  top: -5px;
  right: -10px;
  background: green;
  color: white;
  font-size: 20px;
  padding: 3px 6px;
  border-radius: 50%;
  font-weight: bold;
}
.search-box {
    display: flex;
    align-items: center;
    margin-left: 20px;
}

.search-box input {
    border: 1px solid #ccc;
    border-radius: 20px 0 0 20px;
    outline: none;
    font-size: 20px;
}

.search-box button {
    border: none;
    background: #F5DEDD; 
    color: white;
    border-radius: 0 20px 20px 0;
    cursor: pointer;
    font-size: 20px;
}

/* CACHER LE MENU PAR DÉFAUT */ 

.onglets{ 
    display: none; 
    flex-direction: column; 
    align-items: center; 
    background: white;
    position: absolute; 
    top: 60px; 
    left: 0px; 
    width: 200px; 
    padding: 10px; 
    z-index: 1000;
    border-radius: 20px;
    margin-top: 10px;
    margin-right: 20px;
}


.onglets a:hover{
    background-color: #ddd; 
    color: black; 
}


.btn{ 
    background: #27ae60; 
    padding: 5px 15px; 
    border-radius: 60px; 
    color: white; 
    text-decoration: none; 
    font-size: 15px; 
    margin-left: 0px;

}

  /* AFFICHER LES 3 TRAITS */ 

.menu-toggle {
    display: block;
    font-size: 50px;
    cursor: pointer;
    color: black;
    position: relative;
    z-index: 1001;
}


.onglets.active{
    display: flex;
}

a{
    text-decoration: none;
    margin: 10px;
    color: white;
    font-size: 20px;
    padding-bottom: 10px;
    font-family: 'Nunito', sans-serif;
    font-weight: 700;
}

.onglets a{
    text-decoration: none;
    margin: 10px;
    color: black;
    font-size: 20px;
    padding-bottom: 10px;
    font-family: 'Nunito', sans-serif;
    font-weight: 700;
}



/* HEADER */

.button-header{
    display: flex;
    justify-content: center;
    align-items: center;
    position: static;
}

.section2{
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: aqua; 
    padding: 30px;
    margin: 20px;
    color: #029;
    font-family: 'Nunito', sans-serif;
    text-align: center;
    animation: couleurAnimation1 10s infinite; 
    height: 400px;  
}

@keyframes couleurAnimation1{

    0%{
        background-color:  #029;
    }

    33%{
        background-color: #F5DEDD; 
    }

    66%{
        background-color: rgba(255, 217, 0, 0.661);
    }

    100%{
        background-color: #F5DEDD;
    }
}

header{
    background: url(coloris/logos1.webp);
    background-size: contain;
    background-position: center;

    height: 400px;
    border-bottom: 5px solid #029;

    display: flex;
    justify-content: center;
    align-items: center;
}

.button-header{
    padding: 15px 30px;
    border: none;
    border-radius: 20px;
    font-size: 25px;
    cursor: pointer;
    background-color: #029;
    color: white;
    font-family: 'Nunito', sans-serif;
}

#dz{
    margin-top: 100px;
}

.h1-section2{
    margin-top: -130px;
    font-family: 'Great Vibes', cursive;
    font-size: 50px;
}


.section2 h2{
    margin-top: -5px;
    border-bottom: 1px solid #029;
    font-family: 'Great Vibes', cursive;
    font-size: 50px;
}

.b1{
    padding: 10px;
    background-color: #000;
    color: white;
    border-radius: 10PX;
    
}

/* SECTIONS */ 

.section1{ 
    display: flex; 
    flex-direction: column; 
    align-items: center; 
    background-color: aqua; 
    padding: 30px; 
    color: #029; 
    margin: 20px; 
    text-align: center;
}

.section3{ 
    display: flex; 
    flex-direction: column; 
    align-items: center; 
    background-color: aqua; 
    padding: 30px;
    color: #029; 
    margin: 20px; 
    text-align: center;
    animation: couleurAnimation 10s infinite;
}

@keyframes couleurAnimation{

    0%{
        background-color:  #029;
    }

    33%{
        background-color: #F5DEDD; 
    }

    66%{
        background-color: rgba(255, 217, 0, 0.661);
    }

    100%{
        background-color: #F5DEDD;
    }
}

.section1 h1{
    border-bottom: 1px solid #029;
    font-family: 'Nunito', sans-serif;
}

.conteneur-div1{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px;
}


/* IMAGE RESPONSIVE */
.produit img {
    width: 100%;
    height: 430px;        /* même hauteur pour toutes */
    object-fit: cover;    /* coupe proprement l'image */
    border-radius: 40px;  /* optionnel pour le style */
}

/*IMAGE CLIQUABLE*/
#image-viewer {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;   /* toute la largeur écran */
    height: 100vh;  /*toute la hauteur écran */
    background: #000;
    justify-content: center;
    align-items: center;
    z-index: 2000;
    overflow: auto; /* 🔥 permet de scroller */
    padding: 20px;
}

#image-viewer img {
    width: 100vw;
    height: 120vh;
    object-fit: contain; 
    border-radius: 10px;
}

.close {
    position: absolute;
    top: 20px;
    right: 40px;
    color: white;
    font-size: 40px;
    cursor: pointer;
}
.produit {
    flex: 0 0 calc(33.33% - 20px);
    box-sizing: border-box;
}

@media (max-width: 768px) {
    .conteneur-div1 > div {
        flex: 0 0 100%;
    }
}
.produit h3{
    margin-top: 50px;
}

address {
    font-style: normal;
    margin-bottom: 10px;
}

/* FOOTER */

footer{
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: #333;
    color: white;
    padding: 20px;
    text-align: center;
}

/* BLOC P1 */

.p1-section3{
    background-color: white;
    color: #029;
    font-family: 'Saira Stencil One', cursive;
    font-size: 40px;
    padding: 30px;
    text-align: center;
}

  
.onglets a{
    margin: 5px 0;
 }

header{
    padding: 20px;
}

#button1{
    background-color: #0e0;
    padding: 10px;
    margin-right: 30px;
    border-radius: 10px;
    font-size: 12px;
}

#button2{
    background-color: #f00;
    padding: 10px;
    margin-left: 45px;
    border-radius: 10px;
    font-size: 14px;
}

p{
    font-family: 'Saira Stencil One', cursive;
    font-size: 25px;
}

#panier-box ul {
    list-style: none;
    padding: 0px;
    max-height: 200px;
    overflow-y: auto;

}

.button-li{
    border: none;
    font-size: 7px;    
}

.button-qut, 
.buttonqut{
    border: none;
    font-size: 7px;
}

#panier-box li {
    margin: 5px;
    padding: 5px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}

#panier-box button:hover {
    transform: scale(1.1);
}


@keyframes fadeDown {
    from {
        opacity: 0;
        transform: translateY(-50px);
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

@keyframes fadeUp {
    from {
        opacity: 0;
        transform: translateY(50px);
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}



header button {
    animation: zoomIn 2s ease;
}

@keyframes zoomIn {
    from {
        transform: scale(0);
        opacity: 0;
    }
    to {
        transform: scale(1);
        opacity: 1;
    }
}

header button:hover {
    background-color: green;
    color: white;
    font-family: "Nunito", sans-serif;
    font-weight: 400;
    transform: scale(1.1);
    transition: 0.3s;
}

header {
    animation: bgMove 5s infinite alternate;
}

@keyframes bgMove {
    from {
        filter: brightness(1);
    }
    to {
        filter: brightness(1.2);
    }
}

#tel,
#email,
.btn,
button,
a,
#panier-icon,
.search-box,
footer,
.menu-toggle{
    transition: transform 0.1s ease;
}

#email:hover,
#tel:hover,
.btn:hover,
img:hover,
button:hover,
a:hover,
#panier-icon:hover,
.search-box:hover,
.menu-toggle:hover{
    transform: scale(1.05);
}

footer a{
    display: inline-block;
    transition: transform 0.3s ease;
}

footer a:hover{
    transform: scale(1.1);
}


/* RESPONSIVE MOBILE*/

@media screen and (max-width: 680px){

    nav h1{
        font-size: 28px;
    }

    .onglets{
        margin-right: 30px;
        flex-direction: column;
        align-items: center;
    }
}
